package com.brilliance.isc.common.bopset.counter.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;


@Mapper
public interface CounterRmbMapper {


  Integer getCountValWithUpdate(@Param("counam") String couNam, @Param("dat") Date dat);

  int updateCounter(@Param("counam") String couNam, @Param("dat") Date dat);

  void insertCounter(@Param("counam") String couNam, @Param("couval") int start, @Param("coustp") int stp, @Param("dat") Date dat);


}
